#
# spec file for package python-rsa
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-sarge
Version:        0.1.4
Release:        1.1
Url:            https://pypi.python.org/pypi/sarge
Summary:        A wrapper for subprocess which provides command pipeline functionality.
License:        GPL-2.0
Group:          Development/Languages/Python
Source:         sarge-%version.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildArch:      noarch
%python_subpackages

%description
wrapper for subprocess which provides command pipeline functionality.

%prep
%setup -q -n sarge-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE README.rst CHANGES
%{python_sitelib}/*

%changelog
